#include "hash.hpp"
#include "xxhash.hpp"
#include <fstream>
#include <sstream>
#include <iomanip>

static std::string to_hex64(uint64_t value) {
    std::ostringstream oss;
    oss << std::hex << std::setw(16) << std::setfill('0') << value;
    return oss.str();
}

std::string hash_data(const std::string& data) {
    uint64_t h = XXH3_64bits(data.data(), data.size());
    return to_hex64(h);
}

std::string hash_file(const std::string& path) {
    std::ifstream file(path, std::ios::binary);
    if (!file) return "";
    std::ostringstream oss;
    oss << file.rdbuf();
    return hash_data(oss.str());
} 